# Uses of Interface
org.opensaml.xacml.policy.RuleCombinerParametersType

Packages that use RuleCombinerParametersType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of RuleCombinerParametersType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type RuleCombinerParametersType
Modifier and Type
Method
Description
`List<RuleCombinerParametersType>`
PolicyType.`getRuleCombinerParameters()`
Gets the rule combiner parameters for this policy.

## Uses of RuleCombinerParametersType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement RuleCombinerParametersType
Modifier and Type
Class
Description
`class`
`RuleCombinerParametersTypeImpl`
Implementation for `RuleCombinerParametersTypeImplBuilder`.
Methods in org.opensaml.xacml.policy.impl that return RuleCombinerParametersType
Modifier and Type
Method
Description
`RuleCombinerParametersType`
RuleCombinerParametersTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`RuleCombinerParametersType`
RuleCombinerParametersTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type RuleCombinerParametersType
Modifier and Type
Method
Description
`List<RuleCombinerParametersType>`
PolicyTypeImpl.`getRuleCombinerParameters()`
Gets the rule combiner parameters for this policy.